Subject: Re: bug#78367: 31.0.50; Eglot: incoming call trees, wrong positions
From: João Távora <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: Gerd Möllmann <[email-masked]>, [email-masked]
Date: Sun, 11 May 2025 11:21:16 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Gerd Möllmann <[email-masked]>
>> Date: Sun, 11 May 2025 07:29:30 +0200
>> 
>> I am using Eglot/clangd on emcas.git again.

That's good.  Thanks for the report.

>> insdel.c:
>>   469      * amount at least proportional to the size of the buffer.
>>   470      * On my test (a 223.9MB zip file on a Thinkpad T61):
>>   471      * With /5    =>  24s
>>   472      * With /32   =>  25s
>>   473      * With /64   =>  26s
>>   474      * With /128  =>  28s
>>   475      * With /1024 =>  51s

For good a moment there, I thought you were reporting a performance bug
for a 20yo laptop.

Anyway, the call navigation should be fixed for both outgoing and
incoming cases in master.

>> and so on.
>> 
>> (BTW, eglot-supplements' call trees list all call sites, both in
>> incoming and outgoing call trees.

Patches welcome!

>> I find that pretty useful.)

Maybe.  Depends on the number of calls you make to given function in
another one.

João